---
kind: pipeline
type: docker
name: build-amd64

platform:
  os: linux
  arch: amd64

steps:
- name: lint
  image: php:7.2-alpine
  commands:
    - curl -L https://cs.symfony.com/download/php-cs-fixer-v2.phar -o php-cs-fixer.phar
    - php php-cs-fixer.phar fix htdocs --dry-run --using-cache=no --verbose --stop-on-violation
    - php php-cs-fixer.phar fix onyx2 --dry-run --using-cache=no --verbose --stop-on-violation
- name: publish
  image: plugins/docker
  settings:
    repo: halobattle/game
    auto_tag: true
    auto_tag_suffix: ${DRONE_STAGE_OS}-${DRONE_STAGE_ARCH}
    username:
      from_secret: docker_username
    password:
      from_secret: docker_password

---
kind: pipeline
type: docker
name: build-arm64

platform:
  os: linux
  arch: arm64

steps:
- name: publish
  image: plugins/docker
  settings:
    repo: halobattle/game
    auto_tag: true
    auto_tag_suffix: ${DRONE_STAGE_OS}-${DRONE_STAGE_ARCH}
    username:
      from_secret: docker_username
    password:
      from_secret: docker_password

---
kind: pipeline
name: docker-manifest

steps:
- name: publish
  image: plugins/manifest
  settings:
    auto_tag: true
    ignore_missing: true
    spec: .drone-manifest.yml
    username:
      from_secret: docker_username
    password:
      from_secret: docker_password

trigger:
  event:
  - push
  - tag

depends_on:
- build-amd64
- build-arm64
